# FoundationClasses
TKMath
Poly

# Poly_Triangle Class Reference

Describes a component triangle of a triangulation
(Poly_Triangulation object).
A Triangle is defined by a triplet of nodes. Each node is an
index in the table of nodes specific to an existing
triangulation of a shape, and represents a point on the surface.
.

`#include <Poly_Triangle.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Poly_Triangle ()
| Constructs a triangle and sets all indices to zero. .
Standard_EXPORT | Poly_Triangle (const Standard_Integer N1, const Standard_Integer N2, const Standard_Integer N3)
| Constructs a triangle and sets its three indices to N1, N2 and N3 respectively, where these node values are indices in the table of nodes specific to an existing triangulation of a shape. .
Standard_EXPORT void | Set (const Standard_Integer N1, const Standard_Integer N2, const Standard_Integer N3)
| Sets the value of the three nodes of this triangle to N1, N2 and N3 respectively. .
void | Set (const Standard_Integer Index, const Standard_Integer Node)
| Sets the value of the Indexth node of this triangle to Node. Raises OutOfRange if Index is not in 1,2,3 .
Standard_EXPORT void | Get (Standard_Integer &N1, Standard_Integer &N2, Standard_Integer &N3) const
| Returns the node indices of this triangle in N1, N2 and N3. .
Standard_Integer | Value (const Standard_Integer Index) const
| Get the node of given Index. Raises OutOfRange from Standard if Index is not in 1,2,3 .
Standard_Integer | operator() (const Standard_Integer Index) const
Standard_Integer & | ChangeValue (const Standard_Integer Index)
| Get the node of given Index. Raises OutOfRange if Index is not in 1,2,3 .
Standard_Integer & | operator() (const Standard_Integer Index)

## Private Attributes

Standard_Integer | myNodes [3]

## Constructor & Destructor Documentation

Standard_EXPORT Poly_Triangle::Poly_Triangle | ( |  | ) |

Standard_EXPORT Poly_Triangle::Poly_Triangle | ( | const Standard_Integer | N1,
|  | const Standard_Integer | N2,
|  | const Standard_Integer | N3
| ) |

## Member Function Documentation

Standard_Integer & Poly_Triangle::ChangeValue | ( | const Standard_Integer | Index | ) | `[inline]`

Standard_EXPORT void Poly_Triangle::Get | ( | Standard_Integer & | N1,
|  | Standard_Integer & | N2,
|  | Standard_Integer & | N3
| ) | const

void Poly_Triangle::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Poly_Triangle::operator new | ( | size_t | size | ) | `[inline]`

void* Poly_Triangle::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_Integer& Poly_Triangle::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

Standard_Integer Poly_Triangle::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

void Poly_Triangle::Set | ( | const Standard_Integer | Index,
|  | const Standard_Integer | Node
| ) | `[inline]`

Standard_EXPORT void Poly_Triangle::Set | ( | const Standard_Integer | N1,
|  | const Standard_Integer | N2,
|  | const Standard_Integer | N3
| ) |

Standard_Integer Poly_Triangle::Value | ( | const Standard_Integer | Index | ) | const`[inline]`

## Field Documentation

Standard_Integer Poly_Triangle::myNodes[3]`[private]`

The documentation for this class was generated from the following files:

- Poly_Triangle.hxx
- Poly_Triangle.lxx